@import "[default].parameters.css";

@font-face {
    font-family: "Clear Sans";
    src: url("../fonts/ClearSans-Regular.woff") format("woff");
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: "Clear Sans";
    src: url("../fonts/ClearSans-Italic.woff") format("woff");
    font-weight: 400;
    font-style: italic;
}

@font-face {
    font-family: "Clear Sans";
    src: url("../fonts/ClearSans-Medium.woff") format("woff");
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: "Clear Sans";
    src: url("../fonts/ClearSans-Bold.woff") format("woff");
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: "Clear Sans";
    src: url("../fonts/ClearSans-BoldItalic.woff") format("woff");
    font-weight: 700;
    font-style: italic;
}

body {
    font-size: var(--text-body-base);
    color: var(--color-text-base);
    font-family: "Inter", sans-serif;
}

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
    font-family: "Clear Sans", sans-serif;
    color: var(--color-text-base);
/*    margin-bottom: var(--display-stacks-3xl);*/
}

.display-1 {
    font-size: var(--text-heading-1);
    margin-bottom: var(--margin-heading-1);
}

.display-2 {
    font-size: var(--text-heading-2);
    margin-bottom: var(--margin-heading-2);
}

.display-3 {
    font-size: var(--text-heading-3);
    margin-bottom: var(--margin-heading-3);
}

.display-4 {
    font-size: var(--text-heading-4);
    margin-bottom: var(--margin-heading-4);
}

.display-5 {
    font-size: var(--text-heading-5);
    margin-bottom: var(--margin-heading-5);
}

.display-6 {
    font-size: var(--text-heading-6);
    margin-bottom: var(--margin-heading-6);
}

.display-huge {
    font-size: var(--text-heading-huge);
    line-height: 3.5rem;
    font-weight: var(--font-weight-bold);
    margin-bottom: var(--margin-heading-huge);
}

p {
    font-size: var(--text-body-base);
    font-weight: var(--font-weight-light);
}

    p:last-of-type {
        margin-bottom: 0; /*rimuove il margine dall'ultimo p*/
    }

a {
    color: var(--color-green-700);
    font-weight: var(--font-weight-bold);
    text-decoration: none;
    text-underline-position: from-font;
}

    a.button {
        font-size: var(--font-size-sm);
        font-weight: bold;
    }

    a.title {
        font-family: "Clear Sans", sans-serif;
        font-size: var(--font-size-lg);
        font-weight: bold;
    }

    a:hover,
    a:focus {
        color: var(--color-green-700);
        text-decoration: underline;
    }

    a.link-unstyled {
        color: inherit;
        text-decoration: none;
        font-weight: inherit;
        font-size: inherit;
        font-family: inherit;
    }

        a.link-unstyled:hover,
        a.link-unstyled:focus {
            color: inherit;
            text-decoration: none;
        }

    a[target="_blank"]:not(:has(.button))::after {
        content: "\e09f";
        font-family: "Font Awesome 6 Pro";
        display: inline-block;
        margin-left: 0.25em;
        line-height: 1;
    }

.social-share a[target="_blank"]::after,
.floating-widget a[target="_blank"]::after {
    content: none;
}

/* TEXT VARIANTS (small, muted, ecc)*/
b,
strong,
.text-bold {
    font-weight: bold;
}

.text-muted {
    color: var(--color-text-muted) !important;
}

.text-small {
    font-size: var(--text-body-small);
}

.text-shadow {
    text-shadow: 0 4px 4px rgba(0,0,0,0.25);
}

@media all and (min-width: 992px) {
    .display-huge {
        line-height: 7rem;
    }
}

/* PAGINAZIONE */
a.page-link {
    color: var(--color-green-600);
    padding: var(--spacing-16);
    font-size: var(--font-size-xs);
}

    a.page-link:hover,
    a.page-link:focus {
        color: var(--color-green-600);
    }

.page-item:first-child .page-link {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.page-item:last-child .page-link {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}
